|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QPixmap

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPixmap class reference

### Public Functions

- int serialNumber () const `(obsolete)`

## Member Function Documentation

### int QPixmap::serialNumber () const

Returns a number that identifies the contents of this QPixmap object. Distinct QPixmap objects can only have the same serial number if they refer to the same contents (but they don't have to).

Use cacheKey() instead.

Warning: The serial number doesn't necessarily change when the pixmap is altered. This means that it may be dangerous to use it as a cache key. For caching pixmaps, we recommend using the QPixmapCache class whenever possible.